import * as routes from './../../../constants/routes';
import { lazy } from 'react';

const landingPage = lazy(() => import('./../../public-components/landingPage'));
const homePage = lazy(() => import('./../../user-components/homePage'));
const signInPage = lazy(() => import('./../../../containers/auth/SignInPage'));
const signUpPage = lazy(() => import('./../../../containers/auth/SignUpPage'));
const createTestForm = lazy(() => import('./../../user-components/admin-components/createTestForm'));
const profilePage = lazy(() => import('./../../user-components/profilePage'));
const categoriesPage = lazy(() => import('./../../user-components/categoriesPage'));

export default [
    {
        path: routes.LANDING,
        access: 'public',
        component: landingPage
    },
    {
        path: routes.SIGN_IN,
        access: 'public',
        component: signInPage
    },
    {
        path: routes.SIGN_UP,
        access: 'public',
        component: signUpPage
    },
    {
        path: routes.HOME,
        access: 'user-only',
        component: homePage
    },
    {
        path: routes.CATEGORIES,
        access: 'user-only',
        component: categoriesPage
    },
    {
        path: routes.PROFILE,
        access: 'user-only',
        component: profilePage
    },
    {
        path: routes.CREATE_TEST,
        access: 'admin-only',
        component: createTestForm
    }
]