import React from 'react';
import { Field, reduxForm } from 'redux-form'

import validate from './validate'
import formInput from './../../../common/formInput'

import { Link } from 'react-router-dom'
import * as routes from './../../../../constants/routes'

class Form extends React.Component {
    sendRequest = values => {
        const { actions: { signInRequest } } = this.props;
        signInRequest(values);
    }

    render() {
        const { invalid, handleSubmit, submitting } = this.props;

        return (
            <form className="sign-form" onSubmit={handleSubmit(this.sendRequest)}>
                <h2 className="sign-form__header">Sign In</h2>

                <Field className="sign-form__input sign-form__input--text" placeholder="Login" name="login" component={formInput} type="text" />
                <Field className="sign-form__input sign-form__input--password" placeholder="Password" name="password" component={formInput} type="password" />
                
                <button className="link--btn link--btn60" disabled={invalid || submitting}>Sign In</button>
                
                <p className="sign-form__link--forgot-password"><Link className="link--inline" to={routes.PASSWORD_FORGET}>Forgot password ?</Link></p>
                <hr className="sign-form__divider" />
                <p className="sign-form__link--sign-up">Still ain't got an account? <Link className="link--inline" to={routes.SIGN_UP}>Sign up</Link> first!</p>
            </form>
        )
    }
}

export default reduxForm({
    form: "signIn",
    validate
})(Form)