export default function validate(values) {
    const { login, password, passwordConfirmation } = values;
    const errors = {};

    if (!login) {
        errors.login = "Required";
    }
    else if (/[,]/.test(login)) {
        errors.login = "Invalid symbol: \",\" is not allowed!";
    }
    else if (login.length < 8 || login.length > 20) {
        errors.login = "Invalid login length: login should be from 8 to 20 symbols";
    }
    else if (
        !/^(([^<>()\]\\.,;:\s@"]+(\.[^<>()\]\\.,;:\s@"]+)*)|(".+"))@(([0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/.test(login)) {
        errors.login = "Invalid login, try another one";
    }
    
    if (!password) {
        errors.password = "Required"
    }
    else if (/[,]/.test(password)) {
        errors.password = "Invalid symbol: \",\" is not allowed!";
    }
    else if (password.length < 8 || password.length > 20) {
        errors.password = "Invalid password length: password should be from 8 to 20 symbols";
    }
    else if (!/^[a-z0-9_-]{8,20}$/i.test(password)) {
        errors.password = "Invalid password, try another one";
    }

    if (!passwordConfirmation) {
        errors.passwordConfirmation = "Required";
    }
    else if (password !== passwordConfirmation) {
        errors.passwordConfirmation = "Passwords don't match each other!";
    }



    return errors;
}