import React from 'react';
import { reduxForm, Field } from 'redux-form';
import validate from './validate';
import formInput from './../../../common/formInput'

class Form extends React.Component {
    sendRequest(values) {
        console.log('sendRequest createTestForm page values:', values);
    }

    render() {
        const { handleSubmit } = this.props;

        return (
            <form className="page" onSubmit={handleSubmit(this.sendRequest)}>
                <h2>Make a title-page for your test!</h2>

                <div className="title-page__block">
                    <p className="titles">Title</p>
                    <Field
                        className="title-page__block"
                        name="title"
                        type="input"
                        placeholder=""
                        component={formInput}
                    />
                </div>

                <div className="title-page__block">
                    <p className="titles">Description</p>
                    <Field name="description" type="input" placeholder="" className="" component={formInput} />
                </div>

                <div className="title-page__block">
                    <p className="titles">Cover image</p>
                    <Field name="cover" type="file" placeholder="" className="" component="textarea" />
                </div>

                <button className="">Create card</button>
            </form>
        )
    }   
}

export default reduxForm({
    form: "createTest",
    validate
})(Form)