import React from 'react';
import axios from 'axios';

class categoriesPage extends React.Component {

    state = {
        categories: []
    }

    getCategories = () => {
        axios.get('http://127.0.0.1:2000/api/categories')
            .then(({ data }) => this.setState({
                categories: data
            }))
            .catch(({ message }) => console.warn(message))
    }

    componentDidMount() {
        this.getCategories()
    }

    render() {
        const { categories } = this.state;
        console.log("Categories - ", categories);

        return ( 
            <div className="page page--bottom-only categories-page">
                <div className="container categories-grid">
                    {categories.map(el => (
                        <div
                            className="categories-grid__element"
                            style={{ background: `url("${el.cover}") no-repeat center center` }}
                        >
                            <a href={el.title}>
                                <div className="container categories-grid__content-wrapper">
                                    <h2>{el.title}</h2>
                                    <hr className="divider" />
                                    <p>{el.description}</p>
                                </div>
                            </a>
                        </div>
                    ))}
                </div>
            </div>
        )
    }
}

export default categoriesPage;