import React from 'react';
import { connect } from 'react-redux';
import { Field, reduxForm } from 'redux-form';

import formInput from '../../../../common/formInput';
import validate from '../../../../public-components/auth/signUpForm/validate';

class ChangeLoginForm extends React.Component {

    render() {
        const { children, handleSubmit, handlers: { handleClick, submit } } = this.props;
        return (
            <form onSubmit={handleSubmit(submit)} >
                <Field name="login" type="email" placeholder="Enter new login" component={formInput} />
                <button
                    type="button"
                    onClick={
                        function() {
                            handleClick();
                            handleSubmit(submit)();
                        }    
                    }
                >
                    Change
                </button>
            </form >
        )
    }
}

export default reduxForm({
    form: "changeLogin",
    validate
})(ChangeLoginForm);