import React from 'react';
import { signUpRequest } from './../../../actions/auth/signUp';
import { bindActionCreators } from 'redux';
import { connect } from 'react-redux';

import { Redirect } from 'react-router'
import { HOME } from './../../../constants/routes';

import SignUpForm from './../../../components/public-components/auth/signUpForm';

class SignUpPage extends React.Component {

    render() {
        const { signUpRequest, user } = this.props;
        return (
            !(user.data)
                ? (
                    <div className="page sign-up">
                        <SignUpForm actions={{ signUpRequest }} />
                    </div>
                )
                : (
                    <Redirect to={HOME} />
                )
        )
    }
}

const
    mapStateToProps = ({ user }) => ({
        user
    }),
    mapDispatchToProps = dispatch => bindActionCreators({ signUpRequest }, dispatch)

export default connect(mapStateToProps, mapDispatchToProps)(SignUpPage)